<ion-header>
  <ion-toolbar class="background-header">
    <div class="ic-back" slot="start" (click)="back()">
      <ion-icon name="arrow-round-back"></ion-icon>
    </div>
    <ion-title style="font-size:16px" *ngIf="ebookItem">{{ebookItem?.ebookTitle}}</ion-title>

  </ion-toolbar>
</ion-header>


<ion-content style="--background:whitesmoke">
  <ion-grid *ngIf="!isLoading" class="bottom-shadow bg-white">
    <ion-row class="ion-margin-top">
      <ion-col size="5" class="text-center">
        <img align-self-center src="{{storagePath.storageEbookCover(ebookItem?.ebookCover,ebookItem?.libraryID)}}"
          class="book-image" onError="this.src = 'assets/img/default-book.png'">
      </ion-col>
      <ion-col size="7">
        <ion-row class="head-right">
          <ion-col size="12">
            <p>
              <ion-icon name="business" class="ic-lib"></ion-icon> {{ebookItem?.libraryName}}
            </p>
            <h5>{{ebookItem?.ebookTitle}}</h5>
          </ion-col>
        </ion-row>

        <div style="margin-top:10px;"></div>
        <ion-row class="title">
          <ion-col size="4">
            <p>Kategori</p>
          </ion-col>
          <ion-col>
            <p class="color-black">{{ebookItem?.categoryTitle}}</p>
          </ion-col>
        </ion-row>
        <ion-row class="title">
          <ion-col size="4">
            <p>Penulis</p>
          </ion-col>
          <ion-col>
            <p class="color-black">{{ebookItem?.ebookWriter}}</p>
          </ion-col>
        </ion-row>
        <ion-row class="title">
          <ion-col size="4">
            <p>Tahun</p>
          </ion-col>
          <ion-col>
            <p class="color-black">{{globalService.getYear(ebookItem?.ebookRelease)}}</p>
          </ion-col>
        </ion-row>
        <ion-row style="margin-top:30px">
          <ion-col style="height: 30px;" size="8" class="ion-text-start">
            <span class="lbl-price color-primary">{{globalService.formatRupiah(ebookItem?.ebookPrice,'Rp. ')}}</span>
          </ion-col>
          <ion-col style="height: 30px;" size="4" class="ion-text-end">
            <div class='container-heart' (click)="!role ? addFeedBack() : ''">
              <span
                style="position: relative;right: 5px;">{{ebookItem?.feedBack}}{{ebookItem?.feedBack >= 100 ? '+' :''}}</span>
              <ion-icon class="ic-love" name="heart-empty" *ngIf="!feed"></ion-icon>
              <ion-icon class="ic-love color-primary" name="heart" *ngIf="feed"></ion-icon>
            </div>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </ion-grid>

  <!-- Skeleton screen -->
  <div *ngIf="isLoading" class="container-skeleton">
    <ion-item lines="none">
      <ion-thumbnail slot="start" class="skeleton-thumbs">
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-thumbnail>
      <div class="skel-right">
        <h3 style="width: 45vw">
          <ion-skeleton-text animated></ion-skeleton-text>
        </h3>
        <p style="width: 80vw">
          <ion-skeleton-text animated></ion-skeleton-text>
        </p>
        <br>
        <p style="width: 40vw">
          <ion-skeleton-text animated></ion-skeleton-text>
        </p>
        <p style="width: 35vw">
          <ion-skeleton-text animated></ion-skeleton-text>
        </p>
        <p style="width: 40vw">
          <ion-skeleton-text animated></ion-skeleton-text>
        </p>
      </div>
    </ion-item>
  </div>


  <div class="ion-margin-top bg-white top-shadow">
    <div>
      <!-- Default Segment -->
      <ion-segment color="secondary" [(ngModel)]="segment1">
        <ion-segment-button value="description">
          <ion-label>Deskripsi</ion-label>
        </ion-segment-button>
      </ion-segment>

      <div [ngSwitch]="segment1">
        <div *ngSwitchCase="'description'" class="ion-padding color-grey">
          {{ebookItem?.ebookDescription}}
        </div>

      </div>
    </div>
  </div>

  <div class="bg-white top-min top-shadow">
    <div class="head-title ion-padding-start ion-padding-top">
      <h5 class="ion-no-margin">Ebook Kategori Terkait</h5>
    </div>
    <div *ngIf="!isLoadingList" class="scrollmenu">
      <ng-container *ngFor="let ebook of ebookList">
        <ion-card *ngIf="ebook.ebookID != ebookItem.ebookID" class="child-scroll" flex="50" (click)="detail(ebook)">
          <div class="book-list ion-text-center">
            <div class="thumbs-img">
              <img class="ion-text-center" src="{{storagePath.storageEbookCover(ebook?.ebookCover,ebook?.libraryID)}}"
                onError="this.src = 'assets/img/default-book.png'">
            </div>
            <div class="ion-text-start">
              <h5 style="font-size:12px;font-weight: bold">{{ebook?.ebookTitle}}</h5>
              <p class="label-category">{{ebook?.categoryTitle}}</p>
            </div>
            <div style="position:relative;">
              <ion-grid>

                <ion-row style="margin-top: 10px;">
                  <ion-col class="no-wrap ion-text-left" size='12' style="font-size: 12px">{{ebook?.bookWriter}}
                  </ion-col>
                </ion-row>
                <ion-row style="margin-top: -5px;">
                  <ion-col class="no-wrap ion-text-left" size='12' style="font-size: 12px;font-weight: bold">
                    {{ebook?.libraryName}}</ion-col>
                </ion-row>
              </ion-grid>
            </div>

          </div>
        </ion-card>
      </ng-container>
      <div *ngIf="ebookList?.length == 1 && !isLoadingList">
        <div class="img-not-found ion-padding ion-text-center">
          <div><img src="../../../assets/img/book-not-found.png"></div>
          <div>
            <h5>Tidak ada yang ditampilkan</h5>
          </div>
        </div>
      </div>
    </div>

    <div *ngIf="isLoadingList" class="container-skeleton" fxLayout="row">
      <ion-item class="item-skel " lines="none">
        <ion-thumbnail slot="start" class="skeleton-thumbs">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>

        <ion-thumbnail slot="start" class="skeleton-thumbs ion-no-margin">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
    </div>
  </div>

</ion-content>

<ion-footer *ngIf="!role && showFooter" text-center fxLayout="row"
  (click)="allowedRead || ebookItem.ebookPrice == 0 ? gotoEbook() : presentActionSheet()">
  <div [fxFlex]="84" fxLayoutAlign="center center">
    {{allowedRead || ebookItem.ebookPrice == 0 ? 'BACA EBOOK' : 'BAYAR SEKARANG'}}
  </div>
  <div [fxFlex]="16" fxLayoutAlign="center center" class="cart">
    <ion-icon name="cart" *ngIf="!allowedRead && ebookItem.ebookPrice > 0"></ion-icon>
    <ion-icon name="book" *ngIf="allowedRead || ebookItem.ebookPrice == 0"></ion-icon>
  </div>
</ion-footer>